Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger
Class SessionProvider

    java.lang.Object
      org.netbeans.spi.debugger.SessionProvider

    public abstract class SessionProvider

extends Object

Creates a new instance of `Session` for some `DebuggerInfo`.

Constructor Summary
`SessionProvider()`

Method Summary
`abstract String` | `getLocationName()` Location of the new session.
`abstract Object[]` | `getServices()` Returns array of services for `Session` provided by this SessionProvider.
`abstract String` | `getSessionName()` Name of the new session.
`abstract String` | `getTypeID()` Returns identifier of `Session` crated by thisprovider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionProvider

    public SessionProvider()

Method Detail

### getSessionName

    public abstract String getSessionName()

  Name of the new session.

  Returns:
    name of new session

### getLocationName

    public abstract String getLocationName()

  Location of the new session.

  Returns:
    location of new session

### getTypeID

    public abstract String getTypeID()

  Returns identifier of `Session` crated by thisprovider.

  Returns:
    identifier of new Session

### getServices

    public abstract Object[] getServices()

  Returns array of services for `Session` provided by this SessionProvider.

  Returns:
    array of services

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.